
CC	= gcc
LD	= ld
AR	= ar
LDFLAGS	= @LDFLAGS
LDFLAGS2= @LDFLAGS2
LDFILES	= @LDFILE

CFLAGS1 = -I../lib -I../ml -I../matrix -I.
CFLAGS2 = -DGO32 -DPC
CFLAGS3 = ${OPT_CFLAGS}
CFLAGS4 = -DPDEBUG=1
CFLAGS	= @CFLAGS

SOBJS	= matclass.o setmat.o setvec.o
OBJS	= main.o fary.o ${SOBJS}
LIBS	= ../ml/ml.a ../matrix/matrix.a ../lib/lib.a
SLIBS	= ../ml/sml.a ../matrix/smatrix.a ../lib/slib.a
HDRS	= _matclass.h
SRCS	= matclass.c
CRT	= ../lib/crt32.o
LIBPATH	= c:\gcc\lib

all	: CFLAGS matclass.h matclass.dl matclass.rel matclass.a smatclass.a test

CFLAGS: makefile.go
	echo $(CFLAGS1) > CFLAGS
	echo $(CFLAGS2) >> CFLAGS
	echo $(CFLAGS3) >> CFLAGS
	echo $(CFLAGS4) >> CFLAGS

LDFLAGS	: makefile.go
	echo\ -Ttext 00001000 -Tdata 00200000 -L${LIBRARY_PATH} -lgcc -lm -lc -lpc > LDFLAGS

LDFLAGS2: makefile.go
	echo\ -Ttext 10801000 -Tdata 10A00000 -L${LIBRARY_PATH} -lgcc -lm -lc -lpc > LDFLAGS2

LDFILES	: makefile.go
	echo\ ${CRT}			> LDFILES
	echo\ ${OBJS}			>> LDFILES
	echo\ ../lib/_lib.a 		>> LDFILES
	echo\ ../matrix/_matinit.o	>> LDFILES
	echo\ ../ml/_mlinit.o		>> LDFILES

fary.c	: ${SRCS}
	func -a lib.h ${HDRS} ${SRCS}	> fary.c

matclass.dl: ${OBJS} ${CRT} LDFLAGS LDFILES
	${LD} -o matclass.dl @LDFILES @LDFLAGS

matclass.dl2: ${OBJS} ${CRT} LDFLAGS2 LDFILES
	${LD} -o matclass.dl2 @LDFILES @LDFLAGS2

matclass.rel: matclass.dl matclass.dl2
	rel matclass

matclass.h	: ${SRCS}
	func -h ${SRCS} ${HDRS}	 	> matclass.h

matclass.a	: matcinit.o _matcinit.o
	${AR} r matclass.a matcinit.o _matcinit.o
	ranlib matclass.a

smatclass.a: smatcini.o _smatcin.o ${SOBJS}
	${AR} r smatclass.a smatcini.o _smatcin.o ${SOBJS}
	ranlib smatclass.a

_matcinit.c : ${SRCS}
	func -e lib.h ${SRCS}		> _matcinit.c
	func -f ${SRCS}			>> _matcinit.c
	func -i MatrixClass ${SRCS}	>> _matcinit.c

_smatcin.c : ${SRCS}
	func -e _matclass.h ${SRCS}	> _smatcini.c
	func -f ${SRCS}			>> _smatcini.c
	func -s MatrixClass ${SRCS}	>> _smatcini.c

test	: test.o matclass.a ${LIBS}
	${CC} -o test test.o matclass.a ${LIBS} -lm

